@extends('base.base')
@section('base')
    <!-- 内容区域 -->
    <div class="main-panel">
        <div class="content-wrapper">
            <div class="row">
                <div class="col-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">{{ __('auto.请填写管理员信息') }}</h4>

                            <form class="forms-sample" id="form">

                                <div class="form-group">
                                    <label for="nickname">*超过金额播报</label>
                                    <input type="text"  class="form-control required" name="Gap" placeholder="{{ __('auto.请输入超过金额播报') }}" value="{{$info->Gap ?? ''}}">
                                </div>

                                <button type="button" onclick="commit({{$id}})" class="btn btn-sm btn-gradient-primary btn-icon-text">
                                    <i class="mdi mdi-file-check btn-icon-prepend"></i>
                                    {{ __('auto.提交') }}
                                </button>
                                <button type="button" onclick="cancel()" class="btn btn-sm btn-gradient-warning btn-icon-text">
                                    <i class="mdi mdi-reload btn-icon-prepend"></i>
                                    {{ __('auto.取消') }}
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>


        function commit(id){
            if(!checkForm()){
                return false;
            }
            var data = $("#form").serializeObject();

            myRequest("/admin/notice/horse_race_lamp_update/"+id,"post",data,function(res){
                if(res.code == '200'){
                    layer.msg(res.msg)
                    setTimeout(function(){
                        parent.location.reload();
                    },1500)
                }else{
                    layer.msg(res.msg)
                }
            });
        }
        function cancel() {
            parent.location.reload();
        }
    </script>
@endsection
